#
# spec file for package dfc
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 Asterios Dramis <asterios.dramis@gmail.com>.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           dfc
Version:        3.0.5
Release:        2.3
Summary:        Display file system space usage using graphs and colors
License:        BSD-3-Clause
Group:          Productivity/File utilities
Url:            http://projects.gw-computing.net/projects/dfc/
Source0:        http://projects.gw-computing.net/attachments/download/467/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
dfc is a simple tool that displays file system space usage using graphs and
colors.

%prep
%setup -q

%build
%cmake \
  -DSYSCONFDIR=%{_sysconfdir} \
  -DDFC_DOC_PATH=%{_docdir}/%{name}
%make_jobs

%install
%cmake_install

%find_lang %{name} --with-man

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS CHANGELOG LICENSE README
%{_bindir}/dfc
%doc %{_docdir}/dfc/
%{_mandir}/man1/dfc.1%{ext_man}
%dir %{_sysconfdir}/xdg/dfc/
%dir %{_sysconfdir}/xdg/dfc/fr/
%config(noreplace) %{_sysconfdir}/xdg/dfc/dfcrc
%config(noreplace) %{_sysconfdir}/xdg/dfc/fr/dfcrc

%changelog
* Wed Dec  9 2015 mpluskal@suse.com
- Update download url
- Use cmake macros
- Cleanup spec file with spec-clened
* Tue May 19 2015 thutterer@suse.com
- Update to 3.0.5:
  BUGS:
  * fixed initialization of LFS
  * do not install translated configuration files and man pages when NLS option
  is disabled
  * fixed typos in the man
* Fri Oct 25 2013 asterios.dramis@gmail.com
- Update to 3.0.4:
  BUGS:
  * fixed compilation error on *BSD systems introduced in dfc version 3.0.3
* Fri Aug 23 2013 asterios.dramis@gmail.com
- Update to 3.0.3:
  BUGS:
  * fixed warning message wrongly displayed when calling 'dfc -u h'
  * fixed various typo fixes
  * fixed some memory management issues
  * fixed if tests on potentially NULL values
  * fixed potential security holes (potentially exploitable buffer overflows
    caused by misuse of printf function)
  * fixed dfc hang on no more accessible remote file systems
  * display a warning in any case when file system cannot be stated instead of
    exiting on error
  MISCELLANEOUS:
  * updated license header and copyright year
* Sun Apr 14 2013 asterios.dramis@gmail.com
- Update to 3.0.2:
  BUGS:
  * fixed dfc failing when getting volume size information from volume >= 4 To
    on 32-bit hosts (added LFS option, which can be triggered on or off but is
    on by default)
  * fixed missing separator on CSV export when -T and -s options where
    triggered
- Fix rpm post build check warning "File is compiled without RPM_OPT_FLAGS".
* Sat Nov 10 2012 asterios.dramis@gmail.com
- Initial rpm release (version 3.0.1).
